typedef int datatype;
typedef struct Node
{
	int data;
	
	struct Node *next;
}NODE;

typedef struct Node_Err
{
  NODE *node;
  int err;
}NODE_ERR;

void print_node(NODE *head, int pos);
void print_list(NODE *head);
NODE* search(int n, NODE *head);
NODE *construct(datatype data, NODE *next);
NODE *traverse(NODE *head, int pos);
int delete_node_after(NODE *head);
NODE *construct_list(datatype list[], int size);
int add_to_end(NODE *head, datatype new_data);
int insert_node(NODE *head, int pos, datatype new_data);
int insert_node_after(NODE *head, datatype data);
NODE *search(NODE *head, datatype data);
int length(NODE *head);
